%global pypi_name mir_eval

Name:           python-%{pypi_name}
Version:        0.7
Release:        4%{?dist}
Summary:        Common metrics for common audio/music processing tasks

License:        MIT
URL:            https://github.com/craffel/mir_eval
Source0:        %{url}/archive/%{version}/mir_eval-%{version}.tar.gz
Patch0:         future.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-numpydoc
BuildRequires:  make

%description
mir_eval Python library for computing common heuristic accuracy scores for
various music/audio information retrieval/signal processing
tasks.Documentation, including installation and usage information: you're
looking for the mir_eval web service, which you can use to run mir_eval without
installing anything or writing any code, it can be found here:

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
mir_eval Python library for computing common heuristic accuracy scores for
various music/audio information retrieval/signal processing
tasks.Documentation, including installation and usage information: you're
looking for the mir_eval web service, which you can use to run mir_eval without
installing anything or writing any code, it can be found here:


%prep
%autosetup -n %{pypi_name}-%{version} -p0

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

pushd docs
make man
popd

%check
#%%pyproject_check_import
#pushd tests
#%%pytest --mpl --mpl-baseline-path=baseline_images/test_display
#popd

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

mkdir -p %{buildroot}%{_mandir}/man1
cp -p docs/_build/man/mir_eval.1 %{buildroot}%{_mandir}/man1/

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_mandir}/man1/%{pypi_name}*

%changelog
* Thu Nov 14 2024 Gwyn Ciesla <gwync@protonmail.com> - 0.7-4
- Further improvements.

* Wed Nov 13 2024 Gwyn Ciesla <gwync@protonmail.com> - 0.7-3
- Require pip, make

* Wed Nov 13 2024 Gwyn Ciesla <gwync@protonmail.com> - 0.7-2
- Add docs.

* Wed Dec 21 2022 Gwyn Ciesla <gwync@protonmail.com> - 0.7-1
- Initial package.
